# Class CIM_PCVideoController
extends CIM_VideoController

Note: The use of the CIM_PCVideoController class has been deprecated in lieu of CIM_DisplayController. Deprecated description: Capabilities and management of a PCVideoController, a subtype of VideoController.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_LogicalDevice
|
+--CIM_Controller
|
+--CIM_VideoController
|
+--CIM_PCVideoController

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_DisplayController
Description | string | Note: The use of the CIM_PCVideoController class has been deprecated in lieu of CIM_DisplayController. Deprecated description: Capabilities and management of a PCVideoController, a subtype of VideoController.
UMLPackagePath | string | CIM::Device::Controller
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
NumberOfColorPlanes | uint16 |
Deprecated | string | No value
Description | string | Current number of color planes. If this value is not applicable for the current video configuration, enter 0.
VideoArchitecture | uint16 |
Deprecated | string | No value
Description | string | The video architecture. For example, VGA (value=5) or PC-98 (160) can be specified.
MappingStrings | string | MIF.DMTF|Video|004.2
ValueMap | string | 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 160
Values | string | Other, Unknown, CGA, EGA, VGA, SVGA, MDA, HGC, MCGA, 8514A, XGA, Linear Frame Buffer, PC-98
VideoMode | uint16 |
Deprecated | string | No value
Description | string | Current video mode.
MappingStrings | string | MIF.DMTF|Video|004.3

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Availability | uint16 | CIM_LogicalDevice
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_LogicalDevice
CurrentBitsPerPixel | uint32 | CIM_VideoController
CurrentHorizontalResolution | uint32 | CIM_VideoController
CurrentNumberOfColors | uint64 | CIM_VideoController
CurrentNumberOfColumns | uint32 | CIM_VideoController
CurrentNumberOfRows | uint32 | CIM_VideoController
CurrentRefreshRate | uint32 | CIM_VideoController
CurrentScanMode | uint16 | CIM_VideoController
CurrentVerticalResolution | uint32 | CIM_VideoController
Description | string | CIM_VideoController
DetailedStatus | uint16 | CIM_ManagedSystemElement
DeviceID | string | CIM_LogicalDevice
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
ErrorCleared | boolean | CIM_LogicalDevice
ErrorDescription | string | CIM_LogicalDevice
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
LastErrorCode | uint32 | CIM_LogicalDevice
MaxMemorySupported | uint32 | CIM_VideoController
MaxNumberControlled | uint32 | CIM_Controller
MaxQuiesceTime | uint64 | CIM_LogicalDevice
MaxRefreshRate | uint32 | CIM_VideoController
MinRefreshRate | uint32 | CIM_VideoController
Name | string | CIM_ManagedSystemElement
NumberOfVideoPages | uint32 | CIM_VideoController
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PowerManagementSupported | boolean | CIM_LogicalDevice
PowerOnHours | uint64 | CIM_LogicalDevice
PrimaryStatus | uint16 | CIM_ManagedSystemElement
ProtocolDescription | string | CIM_Controller
ProtocolSupported | uint16 | CIM_Controller
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
StatusInfo | uint16 | CIM_LogicalDevice
SystemCreationClassName | string | CIM_LogicalDevice
SystemName | string | CIM_LogicalDevice
TimeOfLastReset | datetime | CIM_Controller
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TotalPowerOnHours | uint64 | CIM_LogicalDevice
TransitioningToState | uint16 | CIM_EnabledLogicalElement
VideoMemoryType | uint16 | CIM_VideoController
VideoProcessor | string | CIM_VideoController
AcceleratorCapabilities | uint16[] | CIM_VideoController
AdditionalAvailability | uint16[] | CIM_LogicalDevice
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
CapabilityDescriptions | string[] | CIM_VideoController
IdentifyingDescriptions | string[] | CIM_LogicalDevice
OperationalStatus | uint16[] | CIM_ManagedSystemElement
OtherIdentifyingInfo | string[] | CIM_LogicalDevice
PowerManagementCapabilities | uint16[] | CIM_LogicalDevice
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
EnableDevice | uint32 | CIM_LogicalDevice
OnlineDevice | uint32 | CIM_LogicalDevice
QuiesceDevice | uint32 | CIM_LogicalDevice
RequestStateChange | uint32 | CIM_EnabledLogicalElement
Reset | uint32 | CIM_LogicalDevice
RestoreProperties | uint32 | CIM_LogicalDevice
SaveProperties | uint32 | CIM_LogicalDevice
SetPowerState | uint32 | CIM_LogicalDevice